Bug 1619284 - [Sync Plan] - Buttons are getting disabled after putting duplicate Sync Plan Name
Summary: [Sync Plan] - Buttons are getting disabled after putting duplicate Sync Plan ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Sync Plans
Version: 6.4
Hardware: All
OS: All
unspecified
low vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-20 13:59 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:48 UTC


Attachments (Terms of Use)
Button are getting disabled (70.91 KB, image/png)
2018-08-20 13:59 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:57 UTC
Foreman Issue Tracker 24818 None None None 2018-10-09 19:41:54 UTC

Description Omkar Khatavkar 2018-08-20 13:59:03 UTC
Created attachment 1477215 [details]
Button are getting disabled

Description of problem:
Buttons are getting hanged (save and cancel), if user enters duplicate sync plan name (solution - user have to reload the page)

Version-Release number of selected component (if applicable):
6.4.18    (This will also exist in older builds)

How reproducible:
every time 

Steps to Reproduce:
1. Navigate to sync plan. 
2. try to enter duplicate sync plan name 
3. click on same button (button are getting disabled)

Actual results:
Buttons are getting disabled.

Expected results:
Buttons should not be getting disabled 

Additional info:
(This will also exist in older builds)/ (solution - user have to reload the page which is not recommended )

Comment 4 Omkar Khatavkar 2018-11-20 05:35:14 UTC
Can we fix this is also the location mentioned below 

1. Create New Product -> Click on 'Create Sync Plan' link -> try to create duplicate sync plan -> button is getting disabled 
2. Open the sync plan again on new product page still, it is disabled.

Comment 7 Omkar Khatavkar 2018-12-14 05:39:53 UTC
Rechecked on Satellite 6.5 with Snap7, it is fixed now. So marking this as verified.

Comment 10 errata-xmlrpc 2019-05-14 12:37:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.